- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
Full name: projects.locations.instances.updateAgentSettings
instances.updateAgentSettings updates the agent settings for an instance.
HTTP request
PATCH https://{endpoint}/v1alpha/{agentSettings.name}
Where {endpoint} is one of the supported service endpoints.
Path parameters
| Parameters | |
|---|---|
agentSettings.name |
Identifier. The resource name of the AgentSettings. Format: projects/{project}/locations/{location}/instances/{instance}/agentSettings |
Query parameters
| Parameters | |
|---|---|
updateMask |
Optional. The list of fields to be updated. This is a comma-separated list of fully qualified names of fields. Example: |
Request body
The request body contains an instance of AgentSettings.
Response body
If successful, the response body contains an instance of AgentSettings.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/chroniclehttps://www.googleapis.com/auth/chronicle.readonly
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the name resource:
chronicle.agentSettings.update
For more information, see the IAM documentation.